Package org.jbpm.runtime.manager.impl.deploy

## Class EjbObjectModelResolver

- java.lang.Object
- - org.jbpm.runtime.manager.impl.deploy.ReflectionObjectModelResolver
  - - org.jbpm.runtime.manager.impl.deploy.EjbObjectModelResolver

- All Implemented Interfaces:
    `org.kie.internal.runtime.conf.ObjectModelResolver`

      public class EjbObjectModelResolver
      extends ReflectionObjectModelResolver

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `ID` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EjbObjectModelResolver()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `accept​(String resolverId)` |
    `Object` | `getInstance​(org.kie.internal.runtime.conf.ObjectModel model, ClassLoader cl, Map<String,​Object> contextParams)` |

    - ### Methods inherited from class org.jbpm.runtime.manager.impl.deploy.ReflectionObjectModelResolver

      `getClassObject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ID

          public static final String ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EjbObjectModelResolver

          public EjbObjectModelResolver()

  - ### Method Detail

    - #### getInstance

          public Object getInstance​(org.kie.internal.runtime.conf.ObjectModel model,
                                    ClassLoader cl,
                                    Map<String,​Object> contextParams)

      Specified by:
        `getInstance` in interface `org.kie.internal.runtime.conf.ObjectModelResolver`
      Overrides:
        `getInstance` in class `ReflectionObjectModelResolver`

    - #### accept

          public boolean accept​(String resolverId)

      Specified by:
        `accept` in interface `org.kie.internal.runtime.conf.ObjectModelResolver`
      Overrides:
        `accept` in class `ReflectionObjectModelResolver`